注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

风之人生

人生如风,却无法如风般潇洒。

 
 
 

日志

 
 
关于我

一介草民,苟活于上海滩,以甲骨文为生,偶尔对一些国家大事有些兴趣,日常无事常以丝竹之声为乐。

网易考拉推荐

Eclipse 无法启动问题  

2014-01-15 16:44:49|  分类: Program |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

今天在打开Eclipse 启动的时候出现了一个问题,当时的报错信息是Failed to create java virtual machine.如下图:


Eclipse 无法启动问题 - Coolma - 风之人生

也不知道是具体问题的原因, 但是网上有人也遇到这样的问题,由此定位到问题可能出现在eclipse.ini文件的配置上,所以按照此人的方法修改了eclipse.ini文件(在eclipse的根目录),添加上一句:

-vm

C:\Program Files\Java\jdk1.7.0_45\bin


然后eclipse.ini看起来应该是这样:

-startup

plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar

-vm

C:\Program Files\Java\jdk1.7.0_45\bin

--launcher.library

plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.200.v20120913-144807

-product

com.android.ide.eclipse.adt.package.product

--launcher.XXMaxPermSize

256M

-showsplash

com.android.ide.eclipse.adt.package.product

--launcher.XXMaxPermSize

256m

--launcher.defaultAction

openFile

-vmargs

-Dosgi.requiredJavaVersion=1.6


然后重新启动eclipse,问题就解决了。但是仍旧困扰我的是,问什么我从未改变OS或者eclipse的任何设置,突然就会出现此问题。本人操作系统是windows 7 32 bit, Eclipase是 ADT Build: v22.3.0-887826

  评论这张
 
阅读(231)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017